Uploaded image for project: 'Struts 2'
  1. Struts 2
  2. WW-3366

Documentarion error for maven archetype in 2.1.8.1

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.1.8
    • Fix Version/s: 2.2.1
    • Component/s: Documentation
    • Labels:
      None
    • Environment:

      Apache Maven 2.2.1 (rdebian-1)
      Java version: 1.6.0_16
      Java home: /usr/lib/jvm/java-6-sun-1.6.0.16/jre
      Default locale: es_ES, platform encoding: UTF-8
      OS name: "linux" version: "2.6.31-16-generic" arch: "i386" Family: "unix"

      Description

      Documentation page:

      http://struts.apache.org/2.x/docs/struts-2-maven-archetypes.html#Struts2MavenArchetypes-CreatinganApplicationUsingaMavenArchetype

      States:

      mvn archetype:generate -B \
      -DgroupId=tutorial \
      -DartifactId=tutorial \
      -DarchetypeGroupId=org.apache.struts \
      -DarchetypeArtifactId=struts2-archetype-blank \
      -DarchetypeVersion=2.1.8.1

      But fails:

      ...
      [WARNING] No archetype repository found. Falling back to central repository (http://repo1.maven.org/maven2).
      [WARNING] Use -DarchetypeRepository=<your repository> if archetype's repository is elsewhere.
      Downloading: http://repo1.maven.org/maven2/org/apache/struts/struts2-archetype-blank/2.1.8.1/struts2-archetype-blank-2.1.8.1.jar
      [INFO] Unable to find resource 'org.apache.struts:struts2-archetype-blank:jar:2.1.8.1' in repository struts2-archetype-blank-repo (http://repo1.maven.org/maven2)
      Downloading: http://repo1.maven.org/maven2/org/apache/struts/struts2-archetype-blank/2.1.8.1/struts2-archetype-blank-2.1.8.1.jar
      [INFO] Unable to find resource 'org.apache.struts:struts2-archetype-blank:jar:2.1.8.1' in repository central (http://repo1.maven.org/maven2)
      [INFO] ------------------------------------------------------------------------
      [ERROR] BUILD FAILURE
      [INFO] ------------------------------------------------------------------------
      [INFO] The desired archetype does not exist (org.apache.struts:struts2-archetype-blank:2.1.8.1)
      ...

      Related to bug: WW-3141

      My comments:
      1. Include maven archetypes for the corresponding version in each struts2 release, I mean, maven stuff should be in the release checklist: do not release until the corresponding maven stuff is developed, tested and uploaded to maven repositories.
      2, Anyway, if it is valid to use a different archetype <version>, state it as part of the documentation. For instance, state tha version "-DarchetypeVersion=2.0.11.2" (or whatever) will also work for 2.1.8.1 (or whatever). This is useful to developers not familiar to maven.

      Maven archetypes usage should be devoted more attention, they can be very useful specially if we bear in mind that struts2 ide plugins are not supported in struts2 project (but maybe I'm wrong).

        Attachments

          Activity

            People

            • Assignee:
              lukaszlenart Lukasz Lenart
              Reporter:
              antodasana Antonio Sánchez
            • Votes:
              1 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: